Bug 736801 - Review Request: pure-gen - A Pure C bindings generator
Summary: Review Request: pure-gen - A Pure C bindings generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: ghc-language-c
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 18:18 UTC by Michel Alexandre Salim
Modified: 2012-02-14 09:13 UTC (History)
2 users (show)

Fixed In Version: pure-gen-0.15-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 09:08:48 UTC
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-09-08 18:18:22 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/pure-gen.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/pure-gen-0.12-1.fc15.src.rpm
Description:

A Pure C bindings generator. Written by Albert Graef, based on Scott
Dillard's original OpenGL bindings generator.

Comment 1 Jens Petersen 2011-09-14 03:23:37 UTC
I think you can BR ghc-language-c-devel instead of prof and
also need to BR llvm to get this to build.

pure-gen.src: W: invalid-url Source0: http://pure-lang.googlecode.com/files/pure-gen-0.12.tar.gz HTTP Error 404: Not Found

I am afraid that is probably normal for googlecode.

BTW it seems 0.13 was released a few days ago and seems to include
all the patches. :)

Comment 2 Michel Alexandre Salim 2011-09-27 09:19:28 UTC
All fixed; thanks!

http://salimma.fedorapeople.org/specs/funpl/pure-gen-0.13-1.fc15.src.rpm

Comment 3 Jens Petersen 2011-10-03 05:18:03 UTC
Thanks - I will wait for ghc-language-c to be imported and built
before continuing this review.

Comment 4 Michel Alexandre Salim 2011-10-05 11:54:24 UTC
It's built now. Which Fedora release are you testing on? I can add it to the Build Overrides for the distribution release you need (f15 or f16).

Comment 5 Jens Petersen 2011-10-06 10:44:26 UTC
Rawhide is fine for me. :)

I will try to get to this tomorrow hopefully.

Comment 6 Jens Petersen 2011-10-15 15:29:38 UTC
Sorry for the long wait.



Here is the review:

 +:ok, !: needs attention, NA: not applicable

MUST Items:
[+] MUST: rpmlint output [1]

pure-gen.src: W: invalid-url Source0: http://pure-lang.googlecode.com/files/pure-gen-0.13.tar.gz HTTP Error 404: Not Found

I believe this is normal for googlecode.

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
BSD 3 clause
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and be legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

19e036fd835afda0580e1fc1c4068723  Downloads/pure-gen-0.13.tar.gz

[+] MUST: successfully compile and build into binary rpms on a primary arch [7]

http://koji.fedoraproject.org/koji/taskinfo?taskID=3433148

[!] MUST: if necessary use ExcludeArch for other archs [8]

You could use "ExclusiveArch: %{ghc_arches}".

[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[NA] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]
[+] SHOULD: your package should contain man pages for binaries/scripts.


Package is APPROVED.


Some suggestions:

- You could patch the makefile to use ghc -dynamic linking for dump-ast
  on primary archs, to save a lot of space and some time too.
- Better to remove the commented out lines on the .spec file.
- "rm -rf $RPM_BUILD_ROOT" is deprecated and can be removed (except for EPEL-5).

Comment 7 Jens Petersen 2011-10-28 02:37:55 UTC
Ping? :)

Comment 8 Jens Petersen 2011-11-22 01:25:28 UTC
Michel, I assume you still want this in Fedora? :)

If you don't have time then I may import and build it by next
week so we don't lose this effort here...

Comment 9 Jens Petersen 2011-12-16 06:23:11 UTC
Ping, Michel - if you still want this could you put in SCM request?

Comment 10 Jens Petersen 2012-01-26 02:22:33 UTC
Ping again

Comment 11 Michel Alexandre Salim 2012-02-02 14:48:01 UTC
oops, apologies.

New Package SCM Request
=======================
Package Name: pure-gen
Short Description: A Pure C bindings generator
Owners: salimma
Branches: f15 f16 el6
InitialCC:

Comment 12 Gwyn Ciesla 2012-02-02 14:57:55 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-02-04 21:54:13 UTC
pure-gen-0.15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pure-gen-0.15-1.fc15

Comment 14 Fedora Update System 2012-02-04 21:54:22 UTC
pure-gen-0.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pure-gen-0.15-1.fc16

Comment 15 Fedora Update System 2012-02-05 21:50:03 UTC
pure-gen-0.15-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2012-02-14 09:08:48 UTC
pure-gen-0.15-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2012-02-14 09:13:54 UTC
pure-gen-0.15-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.